// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.

#import <Foundation/Foundation.h>

#import <SystemConfiguration/SystemConfiguration.h>

/**
 * CUDynamicStoreObserverのdelegateプロトコル
 */
@protocol CUDynamicStoreObserverDelegate <NSObject>
@required
    /**
     * DynamicStoreに変更があった
     * @param   [in]    store       変更があったDynamicStore
     * @param   [in]    changedKeys 変更があったキーのリスト
     * ------------------------------------------------------------
     * 2015/11/10 ta-maruyama   SKYSEA11.0 リモート操作カーテンモード対応
     */
    - (void)onChangeWithDynamicStore:(SCDynamicStoreRef)store keys:(CFArrayRef)changedKeys;
@end

// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.
