//
//  SCVBaseThread.h
//
//  Created by 丸山　隆夫 on 13/04/05.
//  Copyright (c) 2013年 Sky Co., LTD. All rights reserved.
//

/**
 * @attention このクラスは非推奨です。代わりにRunLoopThreadを使って下さい。
 */

/*
    常駐スレッドを実装する為のベースとなるクラスです。
    ※リモート操作のRCThreadをコピーしたものです。

    このクラスを継承したクラスで、
        threadStart
        threadEnd
    を実装して下さい。
    新しく開始したスレッド上で動く初期化処理、終了処理です。

    基本的には継承した初期化処理で、
    タイマー処理をセットするなり、
    RunLoopSource（Windowsのイベントのようなもの）をセットするなりして、
    何らかのイベントでスレッド（RunLoop）が動くようにします。
 
    RunLoopSourceをシグナル化した後にこのクラスの wakeUp を呼ばないと、
    スレッドが動かないことがあるので、注意して下さい。
    ※RunLoopSourceを使う場合は、SCVRunLoopSourceが簡単だと思います。

    このクラスの run を呼ぶと、スレッドが開始します。
    ➡threadStartが呼ばれ、スレッドがイベント待ちになります。
    このクラスの exitThread を呼ぶと、スレッドが終了します。

 
    以下、threadStart、threadEndのテンプレートです。
- (BOOL) threadStart {
    BOOL ret = [super threadStart];
    if(ret) {
        <TODO : スレッド開始時の処理>
    }
    return ret;
}

- (void) threadEnd {
    <TODO : スレッド終了時の処理>
    [super threadEnd];
}
 */

#import <Foundation/Foundation.h>

@class SCVRunLoopSource;

@interface SCVBaseThread : NSObject {
@protected
    id threadObject;
    NSRunLoop* runLoop;
    
@private
    BOOL isEnd;
    SCVRunLoopSource* onExitThread;
}

// initializer [owner thread]
- (id) init;

// public method [any thread]
- (void) run;
- (void) wakeUp;
- (void) exitThread;

// protected method [current thread]
// thread starting & ending routine
//   required subclass
- (BOOL) threadStart;
- (void) threadEnd;

@end
