//
//  Windows.h
//  CommonUtils
//
//  Created by misaki on 2013/04/11.
//
//
#import "WinError.h"
#ifndef CommonUtils_Windows_h
#define CommonUtils_Windows_h
/**
 * @brief		型定義
 */
typedef unsigned char       BYTE;


/**
 * @brief       SYSTEMTIME
 */
typedef struct _SYSTEMTIME {
    uint16_t wYear;
    uint16_t wMonth;
    uint16_t wDayOfWeek;
    uint16_t wDay;
    uint16_t wHour;
    uint16_t wMinute;
    uint16_t wSecond;
    uint16_t wMilliseconds;
} SYSTEMTIME, *PSYSTEMTIME;

/**
 * @brief       FILETIME
 */
typedef struct _FILETIME {
    uint32_t dwLowDateTime;
	uint32_t dwHighDateTime;
}FILETIME;

/**
 * @brief       GUID
 */

typedef struct {
    unsigned int   Data1;       //4Byteにするためにunsigned longをunsigned intに変更しています。
    unsigned short Data2;
    unsigned short Data3;
    unsigned char  Data4[ 8 ];
} GUID;

/**
 * @brief		ドライブ種別(ドライブログで使用)
 * @note		WinBase.hに定義されています。
 */
#define DRIVE_UNKNOWN     0
#define DRIVE_NO_ROOT_DIR 1
#define DRIVE_REMOVABLE   2
#define DRIVE_FIXED       3
#define DRIVE_REMOTE      4
#define DRIVE_CDROM       5
#define DRIVE_RAMDISK     6

#endif
