// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.

#import <Foundation/Foundation.h>

/**
 * CGWindowListCopyWindowInfoで取得できる情報を扱うクラス
 * 不要になったらinvalidateを呼び出して、メモリを無効化する必要がある
 */
@interface CUCGWindowInfo : NSObject {
@private
    CFArrayRef _windowInfo; /// ウィンドウ情報のリスト(CGWindowListCopyWindowInfoの結果)
}
@property(readonly) NSArray* windowInfo;

// 初期化
- (id)initWithOption:(CGWindowListOption)option windowId:(CGWindowID)relativeWindow;

// 無効化
- (void)invalidate;

// アクティブなスペース（デスクトップ）に所属しているウィンドウNoのリストを取得する
+ (NSSet*)onScreenWindowNumberSetWithWindowName:(NSString*)name;
+ (NSSet*)onScreenWindowNumberSetWithWindowNames:(NSArray*)names;

@end

// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.
