//
//  ProcessTimeInfo.h
//  CommonUtils
//
//  Created by 丸山 隆夫 on 2015/09/03.
//  Copyright (c) 2015年 Sky Co., LTD. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 * 処理時間に関する情報を格納する
 */
@interface ProcessTimeInfo : NSObject {
@private
    NSUInteger     _count;  /// 件数
    NSTimeInterval _sum;    /// 合計時間
    NSTimeInterval _max;    /// 最大時間
    NSTimeInterval _min;    /// 最勝時間
}
@property(assign, readonly) NSUInteger count;
@property(assign, readonly) NSTimeInterval sum;
@property(assign, readonly) NSTimeInterval max;
@property(assign, readonly) NSTimeInterval min;
@property(assign, readonly) NSTimeInterval average;

/**
 * 情報のクリア
 */
- (void)clear;

/**
 * 処理時間を追加する
 * @param   time    処理時間
 */
- (void)addProcessTime:(NSTimeInterval)time;

@end
