// Copyright (c) 2013年 Sky Co., LTD. All rights reserved.

#import <Foundation/Foundation.h>

enum{
    SkyProductType_Unknown = 0,
    SkyProductType_SKYSEA = 0,
    SkyProductType_SKYMEC,
};

/**
 *  パス種別
 */
enum _SkyProductPathKind {
    SkyProductPath_Settings,    // <インストールパス>/settings
    SkyProductPath_Cache,       // <インストールパス>/cache
    SkyProductPath_UserSet,     // <インストールパス>/UserSet
    SkyProductPath_Others,      // <インストールパス>/others
    SkyProductPath_Temp,        // <インストールパス>/tmp
    SkyProductPath_Log          // <インストールパス>/log
} typedef SkyProductPathKind;

@interface ProductUtil : NSObject {
    uint32_t _productType;
    
    NSString* _swdPath;         /// swd実行ファイルのパス
    NSString* _swdPListPath;    /// swd.plistのパス
    BOOL _isNeedCreateSwdDir;   /// swd実行ファイルのフォルダを作成する必要があるかどうか
}
@property(readonly) NSString* swdSrcPath;   /// アプリ内に含んでいるswdの実行ファイルのパス
@property(readonly) NSString* swdPath;
@property(readonly) NSString* swdPListPath;
@property(assign, readonly) BOOL isNeedCreateSwdDir;

+ (ProductUtil*)sharedInstance;
+ (uint32_t)getSkyProductType;
+ (NSString*)getSkyProductShortNameWithProductType:(uint32_t)productType;
+ (NSString*)getSkyProductNameWithProductType:(uint32_t)productType;
+ (NSString*)getSkyProductInstallPathWithProductType:(uint32_t)productType;
+ (NSString*)getSkyProductInstallPathWithProductType:(uint32_t)productType addPath:(NSString*)addPath;
+ (NSString*)getSkyProductShortVersionStringWithProductType:(uint32_t)productType;
// 特定パスを取得
+ (NSString*)skyProductPathWithKind:(SkyProductPathKind)kind;
+ (int)compareVersion:(NSString*)version1 version2:(NSString*)version2;

- (id)init;
- (NSString*)getSkyProductShortName;
- (NSString*)getSkyProductName;
- (NSString*)getSkyProductInstallPath;
- (NSString*)getSkyProductInstallPathWithAddPath:(NSString*)addPath;
- (NSString*)getSkyProductShortVersionString;
+ (BOOL)isInstalledSkyAgent;

@end

// Copyright (c) 2013年 Sky Co., LTD. All rights reserved.
